package com.siwei.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.system.mapper.SysRoleAuditflowMapper;
import com.siwei.system.domain.SysRoleAuditflow;
import com.siwei.system.service.ISysRoleAuditflowService;

/**
 * 角色与核查流程关联Service业务层处理
 * 
 * @author siwei
 * @date 2025-01-22
 */
@Service
public class SysRoleAuditflowServiceImpl implements ISysRoleAuditflowService 
{
    @Autowired
    private SysRoleAuditflowMapper sysRoleAuditflowMapper;

    /**
     * 查询角色与核查流程关联
     * 
     * @param roleId 角色与核查流程关联主键
     * @return 角色与核查流程关联
     */
    @Override
    public SysRoleAuditflow selectSysRoleAuditflowByRoleId(Long roleId)
    {
        return sysRoleAuditflowMapper.selectSysRoleAuditflowByRoleId(roleId);
    }

    /**
     * 查询角色与核查流程关联列表
     * 
     * @param sysRoleAuditflow 角色与核查流程关联
     * @return 角色与核查流程关联
     */
    @Override
    public List<SysRoleAuditflow> selectSysRoleAuditflowList(SysRoleAuditflow sysRoleAuditflow)
    {
        return sysRoleAuditflowMapper.selectSysRoleAuditflowList(sysRoleAuditflow);
    }

    /**
     * 新增角色与核查流程关联
     * 
     * @param sysRoleAuditflow 角色与核查流程关联
     * @return 结果
     */
    @Override
    public int insertSysRoleAuditflow(SysRoleAuditflow sysRoleAuditflow)
    {
        return sysRoleAuditflowMapper.insertSysRoleAuditflow(sysRoleAuditflow);
    }

    /**
     * 修改角色与核查流程关联
     * 
     * @param sysRoleAuditflow 角色与核查流程关联
     * @return 结果
     */
    @Override
    public int updateSysRoleAuditflow(SysRoleAuditflow sysRoleAuditflow)
    {
        return sysRoleAuditflowMapper.updateSysRoleAuditflow(sysRoleAuditflow);
    }

    /**
     * 批量删除角色与核查流程关联
     * 
     * @param roleIds 需要删除的角色与核查流程关联主键
     * @return 结果
     */
    @Override
    public int deleteSysRoleAuditflowByRoleIds(Long[] roleIds)
    {
        return sysRoleAuditflowMapper.deleteSysRoleAuditflowByRoleIds(roleIds);
    }

    /**
     * 删除角色与核查流程关联信息
     * 
     * @param roleId 角色与核查流程关联主键
     * @return 结果
     */
    @Override
    public int deleteSysRoleAuditflowByRoleId(Long roleId)
    {
        return sysRoleAuditflowMapper.deleteSysRoleAuditflowByRoleId(roleId);
    }
}
